import request from '@/utils/request'

// 查询工单节点信息列表
export function listNode(query) {
  return request({
    url: '/work/node/list',
    method: 'get',
    params: query
  })
}

// 查询工单节点信息详细
export function getNode(id) {
  return request({
    url: '/work/node/' + id,
    method: 'get'
  })
}

// 新增工单节点信息
export function addNode(data) {
  return request({
    url: '/work/node',
    method: 'post',
    data: data
  })
}

// 修改工单节点信息
export function updateNode(data) {
  return request({
    url: '/work/node',
    method: 'put',
    data: data
  })
}

// 删除工单节点信息
export function delNode(id) {
  return request({
    url: '/work/node/' + id,
    method: 'delete'
  })
}
